=== debian/changelog ===
wpa (1.0-3+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Fix multiple issues in WPA protocol, branded as the "KRACK"
    vulnerability (CVE-2017-13077, CVE-2017-13078, CVE-2017-13079,
    CVE-2017-13080, CVE-2017-13081, CVE-2017-13082, CVE-2017-13086,
    CVE-2017-13087, CVE-2017-13088)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 23 Oct 2017 17:09:19 -0400

wpa (1.0-3+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2016-4476 and CVE-2016-4477.
    A vulnerability was found in how hostapd and wpa_supplicant writes the
    configuration file update for the WPA/WPA2 passphrase parameter. If this
    parameter has been updated to include control characters either through a
    WPS operation (CVE-2016-4476) or through local configuration change over
    the wpa_supplicant control interface (CVE-2016-4477), the resulting
    configuration file may prevent the hostapd and wpa_supplicant from starting
    when the updated file is used. In addition for wpa_supplicant, it may be
    possible to load a local library file and execute code from there with the
    same privileges under which the wpa_supplicant process runs.

 -- Markus Koschany <apo@debian.org>  Sat, 14 May 2016 22:37:10 +0200

wpa (1.0-3+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patch to address CVE-2015-4141.
    CVE-2015-4141: WPS UPnP vulnerability with HTTP chunked transfer
    encoding. (Closes: #787372)
  * Add patch to address CVE-2015-4142.
    CVE-2015-4142: Integer underflow in AP mode WMM Action frame processing.
    (Closes: #787373)
  * Add patches to address CVE-2015-4143.
    CVE-2015-4143: EAP-pwd missing payload length validation. (Closes: #787371)
  * Add patch to address 2015-5 vulnerability.
    NFC: Fix payload length validation in NDEF record parser.
    Note that this issue does not affect the binary packages distributed in
    Debian in Wheezy as CONFIG_WPS_NFC=y is not set in the build
    configuration. (Closes: #795740)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 31 Oct 2015 12:08:04 +0100

wpa (1.0-3+deb7u2) wheezy-security; urgency=high

  * import "P2P: Validate SSID element length before copying it
    (CVE-2015-1863)" from upstream (Closes: #783148); this is essentially a
    no-op for the wheezy binaries distributed by Debian, as CONFIG_P2P is
    disabled there.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 23 Apr 2015 19:56:11 +0200

wpa (1.0-3+deb7u1) wheezy-security; urgency=high

  * Apply upstream patches for CVE-2014-3686 (Closes: #765352):
    - add os_exec() helper to run external programs
    - wpa_cli: Use os_exec() for action script execution
    - hostapd_cli: Use os_exec() for action script execution

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 15 Oct 2014 23:32:54 +0200

wpa (1.0-3) unstable; urgency=high

  * ship forgotten README-P2P.
  * revert to GNU readline for wpa_cli, instead of using the internal readline
    implementation added in wpa 1~. Prefer libreadline-gplv2-dev, because libnl
    is GPL-2 (only) - switching back to the internal readline implementation is
    targeted for wheezy+1 (Closes: #677993, #678077).
  * Fix DoS via specially crafted EAP-TLS messages with longer message
    length than TLS data length (CVE-2012-4445, DSA 2557-1, Closes: #689990).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 08 Oct 2012 17:48:04 +0200

wpa (1.0-2) unstable; urgency=low

  * Really enable hardened build flags, thanks Simon Ruderich
    <simon@ruderich.org>. (Closes: #657332)
  * Do not suppress compilation output, set V=1.

 -- Kel Modderman <kel@otaku42.de>  Mon, 14 May 2012 06:39:13 +1000

wpa (1.0-1) unstable; urgency=low

  [ Stefan Lippers-Hollmann ]
  * New upstream release, no code changes since 1.0~rc3.
  * upload to unstable, to fix FTBS with gcc-4.7.
  * update debian/README.source.

  [ Kel Modderman ]
  * No longer explicitly add --as-needed to LDFLAGS, it is no longer
    required since wpa_cli stopped linking to libreadline (WPA_CLI_EDIT=y).

 -- Kel Modderman <kel@otaku42.de>  Fri, 11 May 2012 13:58:51 +1000

wpa (1.0~rc3-1) experimental; urgency=low

  [ Stefan Lippers-Hollmann ]
  * import new upstream snapshot 1.0-rc3:
    - fixes:
      - hostapd: Fails to authenticate on wpa2 password (Closes: #483924)
      - hostapd: EAPOL reauthentication/rekeying timeout loop when using WMM
        (Closes: #655129, #659059)
    - rebase patches:
      - libnl3-includes
    - update hostapd configs.
    - update wpa_supplicant configs.
  * merge source packages for hostapd and wpasupplicant under the new name
    "wpa", which is also used by upstream.
  * restrict wpasupplicant to linux-any and kfreebsd-any, hurd lacks kernel
    support.
  * bump standards version to 3.9.3, no changes necessary.
  * update dep-5 version to final 1.0, no changes necessary:
    - order licenses alphabetically.
  * build-depend on docbook-to-man explicitly.
  * convert packaging to Multi-Arch, bump compat level to 9 and debhelper
    build-dependency accordingly; all binaries are Multi-Arch=foreign.
  * update debian/copyright for wpa 1.0~rc2 and merged sources.
  * fix clean target and make sure to succeed building twice in a row.
  * drop build-dependency on libreadline-dev, it's no longer needed with
    WPA_CLI_EDIT.
  * remove watch file, there is no corresponding upstream tarballs at the
    moment.
  * add (temporary?) get-orig-source target to debian/rules, which fetches the
    last tagged upstream version corresponding to debian/changelog.
    - add a lintian override for this, upstream doesn't want to release
      tarballs at the moment.
  * use epoche only for hostapd binaries.

  [ Kel Modderman ]
  * export BINDIR=/sbin, the build system now requires it when patching
    D-Bus/systemd configuration.
  * quieten the upstream build system so that errors/warning are more visible.

