## wpa 1.4.3

=== DESCRIPTION ===
Package: wpa
Type: Package
Title: Tools for Analysing and Visualising Workplace Analytics Data
Version: 1.4.3
Authors@R: c(
    person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
    person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
    person(given = "Mark", family = "Powers", role = "ctb", email = "mark.powers@microsoft.com"),
    person(given = "Ainize", family = "Cidoncha", role = "ctb", email = "ainize.cidoncha@microsoft.com"),
    person(given = "Rosamary", family = "Ochoa Vargas", role = "ctb", email = "rosamary.ochoa@microsoft.com"),
    person(given = "Tannaz", family = "Sattari", role = "ctb", email = "tannaz.sattari@microsoft.com"),
    person(given = "Lucas", family = "Hogner", role = "ctb", email = "lucas.hogner@microsoft.com"),
    person(given = "Jasminder", family = "Thind", role = "ctb", email = "jasminder.thind@microsoft.com"),
    person(given = "Simone", family = "Liebal", role = "ctb", email = "simone.liebal@microsoft.com"),
    person(given = "Ellen", family = "Trinklein", role = "ctb"),
    person(given = "Microsoft Corporation", role = "cph")
	)
Description: Opinionated functions that enable easier and faster
    analysis of Workplace Analytics data. There are three main types of functions in 'wpa':
    (i) Standard functions create a 'ggplot' visual or a summary table based on a specific
    Workplace Analytics metric; (2) Report Generation functions generate HTML reports on
    a specific analysis area, e.g. Collaboration; (3) Other miscellaneous functions cover
    more specific applications (e.g. Subject Line text mining) of Workplace Analytics data.
    This package adheres to 'tidyverse' principles and works well with the pipe syntax.
    'wpa' is built with the beginner-to-intermediate R users in mind, and is optimised for
    simplicity. 
URL: https://github.com/microsoft/wpa/
BugReports: https://github.com/microsoft/wpa/issues/
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.1.2)
Imports: dplyr, stats, utils, tidyr, tidyselect (>= 1.0.0), magrittr,
        purrr, reshape2, ggplot2, ggrepel, scales, htmltools, markdown,
        rmarkdown, networkD3, DT, tidytext, ggraph, igraph, proxy,
        ggwordcloud, methods, data.table
RoxygenNote: 7.1.1
VignetteBuilder: knitr
Suggests: knitr, extrafont, leiden, lifecycle, fst, glue
Language: en-US
NeedsCompilation: no
Packaged: 2021-04-02 12:10:03 UTC; martinchan
Author: Martin Chan [aut, cre],
  Carlos Morales [aut],
  Mark Powers [ctb],
  Ainize Cidoncha [ctb],
  Rosamary Ochoa Vargas [ctb],
  Tannaz Sattari [ctb],
  Lucas Hogner [ctb],
  Jasminder Thind [ctb],
  Simone Liebal [ctb],
  Ellen Trinklein [ctb],
  Microsoft Corporation [cph]
Maintainer: Martin Chan <martin.chan@microsoft.com>
Repository: CRAN
Date/Publication: 2021-04-06 07:50:03 UTC
