## wpa 1.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Workplace Analytics Data
-Version: 1.4.3
+Version: 1.5.0
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -39,7 +39,7 @@
 Suggests: knitr, extrafont, leiden, lifecycle, fst, glue
 Language: en-US
 NeedsCompilation: no
-Packaged: 2021-04-02 12:10:03 UTC; martinchan
+Packaged: 2021-05-10 22:26:16 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -53,4 +53,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2021-04-06 07:50:03 UTC
+Date/Publication: 2021-05-11 04:20:02 UTC
