## wpa 1.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Workplace Analytics Data
-Version: 1.6.0
+Version: 1.6.1
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -41,7 +41,7 @@
         flexdashboard, lmtest, portes, sandwich
 Language: en-US
 NeedsCompilation: no
-Packaged: 2021-07-06 09:02:32 UTC; martinchan
+Packaged: 2021-09-01 08:15:20 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -56,4 +56,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2021-07-06 09:30:02 UTC
+Date/Publication: 2021-09-01 09:00:02 UTC
