## wpa 1.6.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Workplace Analytics Data
-Version: 1.6.1
+Version: 1.6.2
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -35,13 +35,12 @@
         purrr, reshape2, ggplot2, ggrepel, scales, htmltools, markdown,
         rmarkdown, networkD3, DT, tidytext, ggraph, igraph, proxy,
         ggwordcloud, methods, data.table
-RoxygenNote: 7.1.1
-VignetteBuilder: knitr
+RoxygenNote: 7.1.2
 Suggests: knitr, extrafont, leiden, lifecycle, fst, glue,
         flexdashboard, lmtest, portes, sandwich
 Language: en-US
 NeedsCompilation: no
-Packaged: 2021-09-01 08:15:20 UTC; martinchan
+Packaged: 2021-10-15 14:15:46 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -56,4 +55,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2021-09-01 09:00:02 UTC
+Date/Publication: 2021-10-15 14:50:02 UTC
