## wpa 1.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
-Title: Tools for Analysing and Visualising Workplace Analytics Data
-Version: 1.6.4
+Title: Tools for Analysing and Visualising Viva Insights Data
+Version: 1.7.0
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -17,11 +17,11 @@
     person(given = "Microsoft Corporation", role = "cph")
 	)
 Description: Opinionated functions that enable easier and faster
-    analysis of Workplace Analytics data. There are three main types of functions in 'wpa':
+    analysis of Viva Insights data. There are three main types of functions in 'wpa':
     (i) Standard functions create a 'ggplot' visual or a summary table based on a specific
-    Workplace Analytics metric; (2) Report Generation functions generate HTML reports on
+    Viva Insights metric; (2) Report Generation functions generate HTML reports on
     a specific analysis area, e.g. Collaboration; (3) Other miscellaneous functions cover
-    more specific applications (e.g. Subject Line text mining) of Workplace Analytics data.
+    more specific applications (e.g. Subject Line text mining) of Viva Insights data.
     This package adheres to 'tidyverse' principles and works well with the pipe syntax.
     'wpa' is built with the beginner-to-intermediate R users in mind, and is optimised for
     simplicity. 
@@ -35,12 +35,12 @@
         purrr, reshape2, ggplot2, ggrepel, scales, htmltools, markdown,
         rmarkdown, networkD3, DT, tidytext, ggraph, igraph, proxy,
         ggwordcloud, methods, data.table
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0
 Suggests: knitr, extrafont, leiden, lifecycle, fst, glue,
-        flexdashboard, lmtest, portes, sandwich
+        flexdashboard, lmtest, sandwich
 Language: en-US
 NeedsCompilation: no
-Packaged: 2022-01-19 15:25:30 UTC; martinchan
+Packaged: 2022-06-06 13:35:25 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -55,4 +55,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2022-01-19 15:50:02 UTC
+Date/Publication: 2022-06-09 11:30:02 UTC
