## wpa 1.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Viva Insights Data
-Version: 1.7.0
+Version: 1.8.0
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -37,10 +37,11 @@
         ggwordcloud, methods, data.table
 RoxygenNote: 7.2.0
 Suggests: knitr, extrafont, leiden, lifecycle, fst, glue,
-        flexdashboard, lmtest, sandwich
+        flexdashboard, lmtest, sandwich, testthat (>= 3.0.0)
 Language: en-US
+Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-06-06 13:35:25 UTC; martinchan
+Packaged: 2022-07-05 14:56:17 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -55,4 +56,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2022-06-09 11:30:02 UTC
+Date/Publication: 2022-07-05 15:40:02 UTC
