## wpa 1.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Viva Insights Data
-Version: 1.8.1
+Version: 1.9.0
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -35,13 +35,13 @@
         purrr, reshape2, ggplot2, ggrepel, scales, htmltools, markdown,
         rmarkdown, networkD3, DT, tidytext, ggraph, igraph, proxy,
         ggwordcloud, methods, data.table
-RoxygenNote: 7.2.0
-Suggests: knitr, extrafont, leiden, lifecycle, fst, glue,
-        flexdashboard, lmtest, sandwich, testthat (>= 3.0.0)
+RoxygenNote: 7.2.3
+Suggests: knitr, extrafont, lifecycle, fst, glue, flexdashboard,
+        lmtest, sandwich, testthat (>= 3.0.0)
 Language: en-US
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2023-01-27 11:00:49 UTC; martinchan
+Packaged: 2023-08-21 12:41:56 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -56,4 +56,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2023-01-30 15:00:02 UTC
+Date/Publication: 2023-08-21 15:00:02 UTC
