## wpa 1.9.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: wpa
 Type: Package
 Title: Tools for Analysing and Visualising Viva Insights Data
-Version: 1.9.0
+Version: 1.9.1
 Authors@R: c(
     person(given = "Martin", family = "Chan", role = c("aut", "cre"), email = "martin.chan@microsoft.com"),
     person(given = "Carlos", family = "Morales", role = "aut", email = "carlos.morales@microsoft.com"),
@@ -25,7 +25,8 @@
     This package adheres to 'tidyverse' principles and works well with the pipe syntax.
     'wpa' is built with the beginner-to-intermediate R users in mind, and is optimised for
     simplicity. 
-URL: https://github.com/microsoft/wpa/
+URL: https://github.com/microsoft/wpa/,
+        https://microsoft.github.io/wpa/
 BugReports: https://github.com/microsoft/wpa/issues/
 License: MIT + file LICENSE
 Encoding: UTF-8
@@ -35,13 +36,13 @@
         purrr, reshape2, ggplot2, ggrepel, scales, htmltools, markdown,
         rmarkdown, networkD3, DT, tidytext, ggraph, igraph, proxy,
         ggwordcloud, methods, data.table
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Suggests: knitr, extrafont, lifecycle, fst, glue, flexdashboard,
         lmtest, sandwich, testthat (>= 3.0.0)
 Language: en-US
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2023-08-21 12:41:56 UTC; martinchan
+Packaged: 2024-06-06 12:00:32 UTC; martinchan
 Author: Martin Chan [aut, cre],
   Carlos Morales [aut],
   Mark Powers [ctb],
@@ -56,4 +57,4 @@
   Microsoft Corporation [cph]
 Maintainer: Martin Chan <martin.chan@microsoft.com>
 Repository: CRAN
-Date/Publication: 2023-08-21 15:00:02 UTC
+Date/Publication: 2024-06-06 13:20:02 UTC
